import Flutter
import UIKit

public class ApmUiServicesUserModule: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let instance = ApmUiServicesUserModule()
        let channel = FlutterMethodChannel(name: "apm_ui_services_user_module", binaryMessenger: registrar.messenger())
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if (call.method.elementsEqual("userClientConnect")) {
            userClientConnect(result: result)
        } else {
            result(FlutterMethodNotImplemented)
        }
    }
    
    private func userClientConnect(result: FlutterResult) {
        result("Vincent2, iOS " + UIDevice.current.systemVersion)
    }
}
